Subject: re: RFID in V6?

From: Jun Murai <[email-masked]>
Date: Thu, 01 May 2003 10:04:49 +0900

George,
my answer is 'possible'.
it all depends on the definition of 'RFID' and an architecture to handle
RFIDs.

RFIDs are in very wide range from its intelligence level;
From dumb ic-tags which are just responding its id back to a request, to
basically a computer system containing an ID.

Some IDs are smaller than 128 bit, but there are IDs with 256bit and
more are introduced. the mapping you are talking about can anyway be
defined. 

I think some active studies on the subject (architectual definition of
rf-ids) are starting in several places.

jun

----- Original Message ----- 
From: "George Michaelson" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, May 01, 2003 1:19 AM
Subject: RFID in V6?

> 
> [ posted to multi6 17 March 2003. Nobody replied, but I really am interested in
>   this question, and it was suggested I try here. -ggm]
> 
> Will RFID map into V6 in a sensible manner?
> 
> If there was even a restricted subset mapping, what kinds of things could we
> do with it?
> 
> -George
> 
> -- 
> George Michaelson       |  APNIC
> Email: [email-masked]    |  PO Box 2131 Milton QLD 4064
> Phone: +61 7 3367 0490  |  Australia
>   Fax: +61 7 3367 0482  |  http://www.apnic.net
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: George Michaelson <[email-masked]>
Date: Thu, 1 May 2003 11:30:24 +1000

Good to hear an architecture/planning process is in progress.

For the dumb ic-tags, having a mapping could still be useful for some people. In
a previous work context, they discussed the 'tag all cans of soup' model, and
wanted to present a view where these tagged devices asserted as IP addressable
objects via some other box. This means you can know the RFID for a class of
objects, and effectively 'ping' them to find where there is a smarter box which
knows about them. Doing it in applications space implies restricting yourself to
that application-space model of what behaviours you want, while doing it in an
IP address namespace might be more general

I didn't realize the tags now exceeded 128bits. That also implies the reverse
mapping function: embed all IPv6 128bit addresses as a sub-set of the bigger
footprint RFID. Then, you can make more complex RF equipment which is a computer
but it responds for a legal RFID on an RFID scanner in that RF space. That might
require IANA or somebody to ask the RFID agencies for a prefix in 256bit space
which can reserve the 128bits under there for IPv6.

cheers
	-George